summaryrefslogtreecommitdiffstats
path: root/kde/KDE.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-01-27 21:58:49 +0100
committer Eric Hameleers <alien@slackware.com>2015-01-27 21:58:49 +0100
commit4a3ed90f2fe64bec43fcc8ba0a7df2897ebdb06b (patch)
treeeed4cb7172b758af050d4334f931274e8e0135a5 /kde/KDE.SlackBuild
parentf4f83660bd73e9c9ccf87c0eed420d855ef537c9 (diff)
downloadktown-4a3ed90f2fe64bec43fcc8ba0a7df2897ebdb06b.tar.gz
ktown-4a3ed90f2fe64bec43fcc8ba0a7df2897ebdb06b.tar.xz
KDE 5 (Frameworks 5.6.0, Plasma 5.2.0, Applications 14.12.1) ready.
All packages have been built, this commit is a final SlackBuild polishing. Expect a release for Slackware -current in my 'ktown' reository soon.
Diffstat (limited to 'kde/KDE.SlackBuild')
-rwxr-xr-xkde/KDE.SlackBuild10
1 files changed, 10 insertions, 0 deletions
diff --git a/kde/KDE.SlackBuild b/kde/KDE.SlackBuild
index 273fb90..80439ea 100755
--- a/kde/KDE.SlackBuild
+++ b/kde/KDE.SlackBuild
@@ -174,6 +174,16 @@ precheck() {
echo "Multiply-defined package names: '$(echo $PKGDUP)'"
RETVAL=1
fi
+ unset PKGDUP
+
+ # Any source not being built modular (i.e. forgotten to add to modularize)?
+ for PSRC in $(cat modules/* | grep -v "^ *#" | grep -v "^$"); do
+ if ! grep -wq "^${PSRC}$" modularize ; then
+ echo "Not built modular: $PSRC"
+ RETVAL=1
+ fi
+ done
+ unset PSRC
for MODULE in $(cat $CWD/modules/* | grep -v "^ *#") ; do
# First find out if the pkg source is different from the actual pkg name: